/*
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @author     Fabian Reister ( fabian dot reister at kit dot edu )
 * @date       2021
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */

#pragma once

#include "Navigation/libraries/global_planning/GlobalPlanner.h"
#include "Navigation/libraries/local_planning/LocalPlanner.h"
#include "Navigation/libraries/safety_control/SafetyController.h"
#include "Navigation/libraries/trajectory_control/TrajectoryController.h"

namespace armarx::nav::server
{

    struct NavigationStack
    {
        glob_plan::GlobalPlannerPtr globalPlanner;
        loc_plan::LocalPlannerPtr localPlanner = nullptr;
        traj_ctrl::TrajectoryControllerPtr trajectoryControl;
        safe_ctrl::SafetyControllerPtr safetyControl = nullptr;
    };
} // namespace armarx::nav::server
